using BLL.Interfaces;

namespace BLL.Services
{
    public class TagValidationService : ITagValidation
    {
        public bool Validate(string input, out string? error)
        {
            error = null;
            if (string.IsNullOrWhiteSpace(input))
            {
                error = "Input text is empty.";
                return false;
            }
            // add more validation rules as needed
            return true;
        }
    }
}
